/*
 * MelonJS Game Engine
 * Copyright (C) 2011 - 2016, Olivier Biot, Jason Oster, Aaron McLeod
 * http://www.melonjs.org
 *
 */

/*
 * A Collectable entity
 */

/**
 * @class
 * @extends me.Entity
 * @memberOf me
 * @constructor
 * @param {Number} x the x coordinates of the entity object
 * @param {Number} y the y coordinates of the entity object
 * @param {Object} settings See {@link me.Entity}
 */
me.CollectableEntity = me.Entity.extend(
/** @scope me.CollectableEntity.prototype */
{
    /** @ignore */
    init : function (x, y, settings) {
        // call the super constructor
        this._super(me.Entity, "init", [x, y, settings]);
        this.body.collisionType = me.collision.types.COLLECTABLE_OBJECT;
    }
});
